package com.example.livingai.data.repository.business

import com.example.livingai.domain.model.AnimalDetails
import com.example.livingai.domain.repository.business.AnimalDetailsRepository
import com.example.livingai.domain.repository.business.DataSource
import kotlinx.coroutines.flow.Flow

class AnimalDetailsRepositoryImpl(
    private val dataSource: DataSource
) : AnimalDetailsRepository {
    override fun getAnimalDetails(id: String): Flow<AnimalDetails?> {
        return dataSource.getAnimalDetails(id)
    }

    override suspend fun saveAnimalDetails(animalDetails: AnimalDetails) {
        dataSource.setAnimalDetails(animalDetails)
    }

    override suspend fun deleteAnimalDetails(id: String) { }
}
